const install = (Vue, vm) => {
	//--------------- 登录 和 账号相关-------------------------------
	// 获取登录验证码
	let getCaptchaApi = params => vm.$u.post("/auth/sms", params);
	//通过验证码登录
	let loginByCodeApi = params => vm.$u.post("/auth/smsLogin", params);
	//通过密码登录
	let loginByPwdApi = params => vm.$u.post("/auth/pwdLogin", params);
	//获取各种协议
	let getAgreementApi = params => vm.$u.get("/common/protocol/", params);
	//提交code 用于更新用户的openid
	let submitCodeApi = params => vm.$u.post("/user/openid", params);
	//记录用户分享
	let markShareApi = params => vm.$u.post("/user/share", params);
	//获取资讯页的广告
	let getAdApi = (params,header) => vm.$u.get("/article/ad", params,header);
	//获取广告详情
	let getAdDetailApi=params=>vm.$u.get("/article/ad/",params);

	//---------------基础接口------------------
	//获取配置数据
	let getBaseConfigApi = params => vm.$u.get("/app/config", params);
	//获取字典
	let getDictListApi = params => vm.$u.get("/common/dict/list", params);
	//获取城市市县区数据
	let getAreaListApi = params => vm.$u.get("/common/coun-list/", params);
	//举报
	let reportApi = params => vm.$u.post("/vio-report", params);
	//获取客服链接
	let getServiceLinkApi = params => vm.$u.get("/common/wx-kf", params);
	//查询APP是否有新版本
	let checkAppVersionApi=params=>vm.$u.get("/app/version",params);


	//--------------- 首页---------------------
	// 获取首页数据
	let getIndexDataApi = params => vm.$u.get("/index/", params);
	// 获取轮播图详情
	let getBannerDetailApi=params=>vm.$u.get("/index/banner-detail/",params);
	// 获取开放城市列表
	let getOpenCityApi = params => vm.$u.get("/common/opened-city-list", params);
	// 获取首页房产列表数据
	let getAssetsListApi = params => vm.$u.post("/asset/page", params);
	// 获取热门搜索关键词
	let getHotKeyWordListApi = params => vm.$u.get("/index/hot-keywords/", params);
	//---------------房源详情-------------
	//查询房源详情
	let getHouseDetailApi = params => vm.$u.get("/asset/", params);
	//预约看房
	let bookViewHouseApi = params => vm.$u.post("/asset/book", params);
	//获取出价记录
	let getBidListApi = params => vm.$u.post("/asset/bid-page", params);
	//获取法院公告
	let getCourtNoticeApi = params => vm.$u.get("/asset/courtNotice/", params);
	//获取标的物描述
	let getDescApi = params => vm.$u.get("/asset/description/", params);
	//获取购买须知
	let getBuyNoticeApi = params => vm.$u.get("/asset/purchaseNotice/", params);
	//创建或者更新 报名竞拍订单
	let createSignOrderApi = params => vm.$u.post("/auction/auction-order", params);
	//报名竞拍市场房源 小程序支付
	let signUpAuctionMarketApi = params => vm.$u.post("/auction/pay-auction-order-jsapi", params);
	//报名竞拍市场房源 app支付
	let signUpAuctionMarketAppApi = params => vm.$u.post("/auction/pay-auction-order-app", params);
	//获取拍卖号
	let getAuctionNumberApi = params => vm.$u.get("/auction/bid-no/", params);
	//竞拍出价
	let auctionBidApi = params => vm.$u.post("/auction/bid", params);
	// 关注或取消关注房源
	let followHouseApi = params => vm.$u.put("/asset/focus/", params);
	//设置房源提醒
	let remindHouseApi = params => vm.$u.post("/asset/remind", params);
	//获取小区详情
	let getCommunityDetailApi = params => vm.$u.get("/asset/community/", params);
	//获取问答列表
	let getQAListApi = params => vm.$u.post("/asset/qa", params);
	//获取问答详情
	let getQADetailApi = params => vm.$u.get("/asset/qa/", params);
	//提交贷款申请资料
	let submitLoanApplyApi = params => vm.$u.post("/asset/loan-apply", params);
	//获取安心拍服务页面数据
	let getSecureServiceDataApi = params => vm.$u.get("/auction/service-charge/", params);
	//创建安心拍服务订单
	let createServiceOrderApi = params => vm.$u.post("/auction/service-order", params);
	//下单购买安心拍服务 小程序支付
	let buySecureServiceApi = params => vm.$u.post("/auction/service-order-jsapi", params);
	//下单购买安心拍服务 app支付
	let buySecureServiceAppApi = params => vm.$u.post("/auction/service-order-app", params);
	//获取大额转账信息
	let getLargePayInfoApi = params => vm.$u.post("/auction/large-pay-info", params);
	//查询房源最新价格
	let checkPriceApi = params => vm.$u.get("/auction/bid-latest/", params);

	//---------------评论------------
	//获取评论列表
	let getCommentListApi = params => vm.$u.post("/asset/comment-page", params);
	// 获取评论回复列表
	let getReplyListApi = params => vm.$u.post("/asset/comment-sub-page", params);
	//发布评论
	let publishCommentApi = params => vm.$u.post("/asset/comment", params);
	// 给评论点赞
	let likeCommentApi = params => vm.$u.put("/asset/comment-likes/", params);

	//--------------个人中心 我的拍卖--------------
	// 查询个人中心页面数据
	let getPersonCenterDataApi = params => vm.$u.get("/user/index", params);
	//查询我的拍卖订单列表
	let getMyAuctionListApi = params => vm.$u.post("/user/auction-order/page", params);
	//查询我的帖子
	let getMyPostListApi = params => vm.$u.post("/user/article/page", params);

	//--------------个人中心 保证金--------------------
	//查询保证金列表
	let getMybondListApi = params => vm.$u.post("/user/deposit/page", params);
	//获取保证金详情
	let getBondDetailApi = params => vm.$u.get("/user/deposit/", params);

	//--------------个人中心 服务单-----------------
	//查询服务单列表
	let getMyServiceListApi = params => vm.$u.post("/user/service-order/page", params);
	//查询服务单详情
	let getMyServiceDetailApi = params => vm.$u.get("/user/service-order/", params);

	//--------------个人中心 关注 提醒 浏览记录----------
	//获取关注列表
	let getMyFollowListApi = params => vm.$u.post("/user/focus-asset/page", params);
	//获取提醒列表
	let getMyRemindListApi = params => vm.$u.post("/user/remind-asset/page", params);
	//获取浏览列表
	let getMyBrowseListApi = params => vm.$u.post("/user/browse-asset/page", params);

	//--------------个人中心 修改基本信息----------------
	// 更新头像昵称
	let updateUserInfoApi = params => vm.$u.post("/user/info", params);
	//更新手机号
	let updatePhoneApi = params => vm.$u.post("/user/update-mobile", params);
	// 初次设置密码
	let firstSetPwdApi=params=>vm.$u.post("/user/set-pwd",params);
	// 修改密码或重置密码
	let updatePasswordApi = params => vm.$u.post("/user/update-pwd", params);
	// 注销账户
	let cancelAccountApi = params =>vm.$u.post("/user/delete",params);

	//--------------个人中心 我要卖房-----------------
	let submitSellHouseApi = params => vm.$u.post("/user/sell-house", params);

	//--------------个人中心 买房需求--------------
	// 提交买房需求
	let submitBuyHouseApi = params => vm.$u.post("/user/buy-house", params);

	//--------------个人中心 商家入驻---------------
	//提交入驻申请
	let merchantInApi = params => vm.$u.post("/user/company-apply", params);
	//获取之前提交的入驻申请
	let getLastMerchantInApi = params => vm.$u.get("/user/company-apply", params);

	//--------------个人中心 商户资产列表----------------
	//获取商户资产列表 待开拍 竞价中 已结束
	let getMerchantAssetsListApi = params => vm.$u.post("/user/company-asset/page", params);

	//--------------个人中心 消息列表--------------
	//获取某个用户的主页数据
	let getUserHomePageDataApi=params=>vm.$u.get("/user/profile/",params);
	//获取我关注的用户列表
	let getMyFollowUserListApi=params=>vm.$u.post("/user/follow-list",params);
	//获取消息列表数据
	let getSysMessageListApi = params => vm.$u.post("/msg/system/page", params);
	//获取消息详情
	let getSysMessageDetailApi = params => vm.$u.get("/msg/detail/", params);
	//获取房源评论消息列表
	let getHouseCommentMsgListApi = params => vm.$u.post("/msg/asset-comment/page", params);
	//获取房源点赞消息列表
	let getHouseLikeMsgListApi = params => vm.$u.post("/msg/asset-comment-likes/page", params);
	//获取资讯评论消息列表
	let getInfomationCommentMsgListApi = params => vm.$u.post("/msg/article-comment/page", params);
	//获取资讯点赞消息列表
	let getInfomationLikeMsgListApi = params => vm.$u.post("/msg/article-comment-likes/page", params);
	//获取服务通知消息列表
	let getServiceMsgListApi = params => vm.$u.post("/msg/comment/page", params);
	// 获取消息页面数据
	let getMsgPageDataApi = params => vm.$u.get("/msg/index", params);
	//将消息标记为已读
	let markMsgReadApi = params => vm.$u.get("/msg/markRead/", params);

	//--------------个人中心 员工列表-------------------
	let getMyStaffListApi = params => vm.$u.post("/user/employee-page", params);

	//--------------信息资讯--------------------
	//获取资讯列表
	let getInfomationListApi = params => vm.$u.post("/article/page", params);
	//获取资讯详情
	let getInfomationDetailApi = params => vm.$u.get("/article/", params);
	//发布资讯
	let publishInfomationApi = params => vm.$u.post("/article/publishOrUpdate", params);
	//获取资讯评论列表
	let getInfomationCommentListApi = params => vm.$u.post("/article/comment-page", params);
	//获取资讯某条评论的回复列表
	let getInfomationCommentReplyListApi = params => vm.$u.post("/article/comment-sub-page", params);
	//回复资讯的评论
	let replyInfomationCommentApi = params => vm.$u.post("/article/comment", params);
	//给资讯评论点赞
	let likeInfomationCommentApi = params => vm.$u.put("/article/comment-likes/", params);
	// 关注用户
	let followUserApi=params=>vm.$u.post("/user/follow",params);
	//取消关注用户
	let unfollowUserApi=params=>vm.$u.post("/user/unfollow",params);
	// 删除我的帖子
	let deleteMyInfomationApi=params=>vm.$u.delete("/user/article/delete/",params);

	//---------------任务----------------------
	//获取任务页面数据
	let getTaskDataApi = params => vm.$u.get("/task/index", params);
	//获取现金列表数据
	let getCashListApi = params => vm.$u.post("/task/cash/page", params);
	//获取金币列表数据
	let getGoldListApi = params => vm.$u.post("/task/gold/page", params);
	//签到
	let taskSignInApi = params => vm.$u.post("/task/signin", params);
	//发起提现
	let cashOutApi = params => vm.$u.post("/task/cash-extract", params);
	//查询提现记录
	let getCashOutRecordListApi = params => vm.$u.post("/task/cash-extract-page", params);
	// 将各个定义的接口名称，统一放进对象挂载到vm.$u.api(因为vm就是this，也即this.$u.api)下
	vm.$u.api = {
		getCaptchaApi,
		loginByCodeApi,
		loginByPwdApi,
		getAgreementApi,
		getDictListApi,
		submitCodeApi,
		markShareApi,
		getAdApi,
		getAdDetailApi,
		getBaseConfigApi,
		getAreaListApi,
		reportApi,
		getServiceLinkApi,
		checkAppVersionApi,
		getIndexDataApi,
		getBannerDetailApi,
		getOpenCityApi,
		getAssetsListApi,
		getHotKeyWordListApi,
		getHouseDetailApi,
		bookViewHouseApi,
		getBidListApi,
		getCourtNoticeApi,
		getDescApi,
		getBuyNoticeApi,
		signUpAuctionMarketApi,
		signUpAuctionMarketAppApi,
		getAuctionNumberApi,
		auctionBidApi,
		followHouseApi,
		remindHouseApi,
		getCommunityDetailApi,
		getCommentListApi,
		createSignOrderApi,
		getQAListApi,
		getQADetailApi,
		submitLoanApplyApi,
		getSecureServiceDataApi,
		buySecureServiceApi,
		buySecureServiceAppApi,
		checkPriceApi,
		getLargePayInfoApi,
		getReplyListApi,
		publishCommentApi,
		likeCommentApi,
		getPersonCenterDataApi,
		getMyAuctionListApi,
		getMyPostListApi,
		getMybondListApi,
		getBondDetailApi,
		getMyServiceListApi,
		getMyServiceDetailApi,
		createServiceOrderApi,
		getUserHomePageDataApi,
		getMyFollowListApi,
		getMyRemindListApi,
		getMyBrowseListApi,
		updateUserInfoApi,
		updatePhoneApi,
		cancelAccountApi,
		firstSetPwdApi,
		updatePasswordApi,
		submitSellHouseApi,
		submitBuyHouseApi,
		merchantInApi,
		getLastMerchantInApi,
		getMerchantAssetsListApi,
		getMyFollowUserListApi,
		getSysMessageListApi,
		getSysMessageDetailApi,
		getHouseCommentMsgListApi,
		getHouseLikeMsgListApi,
		getInfomationCommentMsgListApi,
		getInfomationLikeMsgListApi,
		getServiceMsgListApi,
		getMsgPageDataApi,
		markMsgReadApi,
		getMyStaffListApi,
		getInfomationListApi,
		getInfomationDetailApi,
		publishInfomationApi,
		getInfomationCommentListApi,
		getInfomationCommentReplyListApi,
		replyInfomationCommentApi,
		likeInfomationCommentApi,
		followUserApi,
		unfollowUserApi,
		deleteMyInfomationApi,
		getTaskDataApi,
		getCashListApi,
		getGoldListApi,
		taskSignInApi,
		cashOutApi,
		getCashOutRecordListApi,
	};
}

export default {
	install
}
