export function numberToFix(value) {
	if (value > 10000) {
		if (parseInt(value / 10000) == parseFloat(value / 10000)) {
			return (value / 10000) + "万"
		} else {
			return ((value / 10000).toFixed(2)) + "万"
		}
	} else {
		return value + '元'
	}
}

// 将下划线key转成小驼峰key  key_name -> keyName
export const formatToHump = (value) => {
	return value.replace(/\_(\w)/g, (_, letter) => letter.toUpperCase())
}

// 预览大图
export function previewImg(current = 0, imgList) {
	uni.previewImage({
		current: current,
		urls: imgList,
	})
}
// 下载文件
export function downloadFile(url) {
	uni.showLoading({
		title: '下载中...'
	})
	uni.downloadFile({
		url: url,
		success(res) {
			if (res.statusCode == 200) {
				uni.saveFile({
					tempFilePath: res.tempFilePath, //临时路径
					success: function(resp) {
						uni.showModal({
							title: "保存成功",
							content: "文件保存地址是：" + resp.savedFilePath,
							confirmText: "打开文件",
							cancelText: "取消",
							success(res) {
								if (res.confirm) {
									uni.openDocument({
										filePath: resp.savedFilePath,
										success: function(res) {
											// console.log('打开文档成功');
										}
									});
								} else if (res.cancel) {
									console.log('用户点击取消');
								}
							}
						})
					}
				});
			} else {
				this.$u.toast('下载失败')
			}
			console.log(res);
			uni.hideLoading();
		},
		fail(err) {
			console.log(err);
			uni.hideLoading();
		}
	})
}

